Take the 2-minute tour ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I'm trying to remove postfix from my (recently upgraded to 10.10) Ubuntu server.

I keep getting this error when I try to remove it (with apt-get remove postfix, or purge):

Could not perform immediate configuration on 'exim4'.Please see man 5 apt.conf under APT::Immediate-Configure for details. (2)

exim4 is not installed.

share|improve this question
    
Installing sendmail fixed the problem... –  StrangeElement Nov 27 '10 at 21:10
    
If you don't need the overhead, it's better to install a smaller thing like sSMTP. –  Henk May 20 '12 at 19:34

1 Answer 1

Your system should have some mailing system. So you can't just delete the last email system. Try to install exim4 first and then remove postfix.

Or use apt-get install -f or dpkg-reconfigure exim4.

share|improve this answer

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.